| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
StringLTypeDefn Class Reference
eProsima Fast DDS API Reference » DDS Public API » DDS TypeObject API

This class represents the structure StringLTypeDefn defined by the user in the IDL file. More...

`#include <dds_xtypes_typeobject.hpp>`

## Public Member Functions

eProsima_user_DllExport | StringLTypeDefn ()
| Default constructor.
eProsima_user_DllExport | ~StringLTypeDefn ()
| Default destructor.
eProsima_user_DllExport | StringLTypeDefn (const StringLTypeDefn &x)
| Copy constructor.
eProsima_user_DllExport | StringLTypeDefn (StringLTypeDefn &&x) noexcept
| Move constructor.
eProsima_user_DllExport StringLTypeDefn & | operator= (const StringLTypeDefn &x)
| Copy assignment.
eProsima_user_DllExport StringLTypeDefn & | operator= (StringLTypeDefn &&x) noexcept
| Move assignment.
eProsima_user_DllExport bool | operator== (const StringLTypeDefn &x) const
| Comparison operator.
eProsima_user_DllExport bool | operator!= (const StringLTypeDefn &x) const
| Comparison operator.
eProsima_user_DllExport void | bound (LBound _bound)
| This function sets a value in member bound.
eProsima_user_DllExport LBound | bound () const
| This function returns the value of member bound.
eProsima_user_DllExport LBound & | bound ()
| This function returns a reference to member bound.

## Detailed Description

This class represents the structure StringLTypeDefn defined by the user in the IDL file.

## Constructor & Destructor Documentation

## ◆ StringLTypeDefn() [1/3]

eProsima_user_DllExport StringLTypeDefn | ( |  | ) |

inline

Default constructor.

## ◆ ~StringLTypeDefn()

eProsima_user_DllExport ~StringLTypeDefn | ( |  | ) |

inline

Default destructor.

## ◆ StringLTypeDefn() [2/3]

eProsima_user_DllExport StringLTypeDefn | ( | const StringLTypeDefn & | x | ) |

inline

Copy constructor.

Parameters

  x | Reference to the object StringLTypeDefn that will be copied.

## ◆ StringLTypeDefn() [3/3]

eProsima_user_DllExport StringLTypeDefn | ( | StringLTypeDefn && | x | ) |

inline noexcept

Move constructor.

Parameters

  x | Reference to the object StringLTypeDefn that will be copied.

## Member Function Documentation

## ◆ bound() [1/3]

eProsima_user_DllExport LBound & bound | ( |  | ) |

inline

This function returns a reference to member bound.

Returns
  Reference to member bound

## ◆ bound() [2/3]

eProsima_user_DllExport LBound bound | ( |  | ) | const

inline

This function returns the value of member bound.

Returns
  Value of member bound

## ◆ bound() [3/3]

eProsima_user_DllExport void bound | ( | LBound | _bound | ) |

inline

This function sets a value in member bound.

Parameters

  _bound | New value for member bound

## ◆ operator!=()

eProsima_user_DllExport bool operator!= | ( | const StringLTypeDefn & | x | ) | const

inline

Comparison operator.

Parameters

  x | StringLTypeDefn object to compare.

## ◆ operator=() [1/2]

eProsima_user_DllExport StringLTypeDefn & operator= | ( | const StringLTypeDefn & | x | ) |

inline

Copy assignment.

Parameters

  x | Reference to the object StringLTypeDefn that will be copied.

## ◆ operator=() [2/2]

eProsima_user_DllExport StringLTypeDefn & operator= | ( | StringLTypeDefn && | x | ) |

inline noexcept

Move assignment.

Parameters

  x | Reference to the object StringLTypeDefn that will be copied.

## ◆ operator==()

eProsima_user_DllExport bool operator== | ( | const StringLTypeDefn & | x | ) | const

inline

Comparison operator.

Parameters

  x | StringLTypeDefn object to compare.

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/type_representation/detail/dds_xtypes_typeobject.hpp